/*
oop_ex75.cpp
friend class
*/


#include <iostream>
#include <string>
using namespace std;

class Team;

class Person
{
	friend class Team;	//declare Team as it friend class
	string name;
	int tel;
public:
	Person(string c, int i)
	{
		name = c;
		tel = i;
	}

	void showMyTeam(Team& t);
};


class Team
{
	Person* p1;
	Person* p2;
public:
	//constructor
	Team(Person& per1, Person& per2)
	{
		p1 = &per1;
		p2 = &per2;
	}

	void print()
	{
		cout << "Team:" << endl;
		cout << "p1 = " << endl;
		cout << p1->name << " " << p1->tel << endl;
		cout << "p2 = " << endl;
		cout << p2->name << " " << p2->tel << endl << endl;
	}

	void print(Person &p)
	{
		cout << "p = " << endl;
		cout << p.name << " " << p.tel << endl << endl;
	}

	//friend class Person;
};

//Person is not a friend of Team
void Person::showMyTeam(Team& t)
{
	t.print();
	/*cout<<"p1 = "<<endl;
	cout<<t.p1->name<<" "<<t.p1->tel<<endl;
	cout<<"p2 = "<<endl;
	cout<<t.p2->name<<" "<<t.p2->tel<<endl;*/
}


void main()
{
	Person p1("Mike", 7777777);
	Person p2("John", 3333333);

	Team t(p1, p2);

	t.print();

	t.print(p1);

	p2.showMyTeam(t);

	system("pause");
}
