

#include <iostream>

#include "Time.h"
using namespace std;



void Time::print12HR()
{
	cout << "<12HR>";
	if (hour > 12)
		cout << hour - 12 << ":" << minute << ":" << second << " PM" << endl;
	else
		cout << hour << ":" << minute << ":" << second << " AM" << endl;
}

void Time::print24HR()
{
	cout << "<24HR>";
	cout << hour << ":" << minute << ":" << second << endl;
}

Time& Time::addTime(int h, int m, int s)
{
	hour += h;
	minute += m;
	second += s;

	if (second >= 60)
	{
		int a = second / 60;
		minute += a;
		second %= 60;
	}

	if (minute >= 60)
	{
		int a = minute / 60;
		hour += a;
		minute %= 60;
	}

	if (hour >= 24)
		hour %= 24;

	return *this;
}

Time& Time::setTime(int h, int m, int s)
{
	hour = h;
	minute = m;
	second = s;
	return *this;
}


void TestFun()
{
	cout << "This is a test." << endl;
}
