//oop_ex65.cpp: const objects


#include <iostream>
using namespace std;

class Time
{
	int hour;
	int minute;
	int second;

public:
	Time(int h = 0, int m = 0, int s = 0) //const
	{
		hour = ((h<24 && h >= 0) ? h : 0);
		minute = ((m<60 && m >= 0) ? m : 0);
		second = ((s<60 && s >= 0) ? s : 0);
	}

	~Time() {}

	void setHour(int h) { hour = ((h<24 && h >= 0) ? h : 0); }
	int getHour() const { return hour; }

	void setMinute(int m) { minute = ((m<60 && m >= 0) ? m : 0); }
	int getMinute() const { return minute; }

	void setSecond(int s) { second = ((s<60 && s >= 0) ? s : 0); }
	int getSecond() const { return second; }

	void setTime(int h, int m, int s)
	{
		hour = ((h<24 && h >= 0) ? h : 0);
		minute = ((m<60 && m >= 0) ? m : 0);
		second = ((s<60 && s >= 0) ? s : 0);
	}

	void print12HR() const;

	//void print24HR()
	void print24HR() const
	{
		cout << hour << ":" << minute << ":" << second << endl;
		//setHour(hour);
	}
};



void main()
{
	Time showtime;

	showtime.setTime(21, 30, 0);

	showtime.print12HR();
	showtime.print24HR();


	const Time noon(12, 0, 0);

	//noon.setTime(21,30, 0);

	noon.print12HR();
	noon.print24HR();
	system("pause");
}


void Time::print12HR() const
{
	if (hour > 12)
		cout << hour - 12 << ":" << minute << ":" << second << " PM" << endl;
	else
		cout << hour << ":" << minute << ":" << second << " AM" << endl;

}
