//	oop_ex66.cpp: this pointer

#include <iostream>
using namespace std;

class Test
{
	int t;
public:
	//constructor
	Test(int a = 0)
	{
		t = a;
	}

	//destructor
	~Test() {}

	void print()
	{
		cout << "The address of this object is : " << this << endl;
		cout << "        t = " << t << endl;
		cout << "  this->t = " << this->t << endl;
		cout << "(*this).t = " << (*this).t << endl << endl;;
	}

	void printByThis()
	{
		cout << "--Call print by this pointer!--" << endl;
		this->print();
	}

	Test& getSelf()
	{
		return *this;
	}
};


void main()
{
	Test t1(10);
	Test* t2 = new Test(100);

	cout << "the address of t1 is : " << &t1 << endl;
	t1.print();

	cout << "the value of t2 is : " << t2 << endl;
	t2->printByThis();

	cout << "the address of t1 is : " << &t1.getSelf() << endl;
	t1.getSelf().printByThis();	//chained function calls
	system("pause");
}